<?PHP
    // =========================================================================
    // lmo_akt_tabelle.php
    // =========================================================================
    // Zeigt die aktuellen Tabellenpositionen der Mannschaften an
    // =========================================================================
    //
    // -------------------
    // bergabe-Parameter:
    // -------------------
    // $modus   : 0 = Temporre Tabellendaten werden nur bei Nichtvorhandensein
    //                im Unterverzeichnis data erzeugt
    //            1 = Temporre Dateien werden auf jeden Fall erzeugt
    // $incFile : Datei mit den anzuzeigenden Ligen oder ein Array mit den Ligen
    //            (Standard: lmo_ped_dat.inc)
    // $incMann : Datei mit alternativen Namen der Mannschaften oder ein Array
    //            mit den Mannschaftsnamen
    //            (Standard: lmo_ped_mann.inc)
    // $paraFile: Parameter-Datei oder ein Array mit den Parametern
    //            (Standard: lmo_std_para_akt_tab.php)
    // $cssFile : CSS-Datei
    //            (Standard: lmo_ped_css.php)
    // Alle bergabe-Parameter sind optional, d.h. es werden die Standard-
    // Dateien verwendet.
    // Werden eigene Dateien verwendet, so men diese sich im aktuellen Ver-
    // zeichnis der lmo_ped Erweiterungen befinden.
    // =========================================================================
    // Copyright etc. spare ich mir.
    // Bitte eMehl an mich, wer's einsetzt.
    // Fr Verbesserungsvorschlge immer offen, Script ist noch nicht perfekt.
    // =========================================================================
    // Aufruf:
    //
    //   include("../lmo_ped/lmo_akt_tabelle.php");
    //   ZeigeAktuelleTabelle();

    // =========================================================================
    // Autor:    Peter Scherb
    // eMail:    lmo_ped@PeterScherb.de
    // Home:     www.peterscherb
    // Download: www.peterscherb/svj/download
    // =========================================================================
    // Letzte nderung: 29.03.2004
    // =========================================================================

    function ZeigeAktuelleTabelle($modus    = 0,
                                  $incFile  = "lmo_ped_dat.inc",
                                  $incMann  = "lmo_ped_mann.inc",
                                  $paraFile = "lmo_std_para_akt_tab.php",
                                  $cssFile  = "lmo_ped_css.php")
    {
        // ---------------------------------------------------------------------
        // ---------------------------------------------------------------------
        // Aktueller Pfad basteln
        $aktPfad = str_replace("\\", "/", dirname(__File__));
        // ini-File einlesen
        include($aktPfad . "/lmo_ped_ini.php");
        // bergabeparamter berschreibt Voreinstellung
         if ($modus != $mode)
         {
            $mode = $modus;
         }
        // ---------------------------------------------------------------------
        // Parameter einlesen
        include($arrIni["pfadInc"] . "lmo_set_parameter.php");
        // -------------------------------------------------------------------------

        // ---------------------------------------------------------------------
        // Ligen, Mannschaften und Favoriten einlesen
        include($arrIni["pfadInc"] . "lmo_lese_ligen.php");
        // ---------------------------------------------------------------------

        // Aktuelles Datum-File
        $dateFile      = $arrIni["dataDir"] . "akt_date.php";
        // Existiert das Datum-File als include im internen Liga-Verzeichnis?
        // Wenn nein -> erstellen
        $DatumDerTabelle = "";
        $UhrDerTabelle   = "";
        if ($mode == 1 || !file_exists($dateFile))
        {
            include_once($arrIni["pfadInc"] . "lmo_tabelle_func.php");
            writeDateFile($dateFile,  &$DatumDerTabelle, &$UhrDerTabelle);
        }
        else
        {
            include_once($dateFile);
        }
        // Index Tabellen-Array
        $k = 0;
        // Einlesen der Tabellen
        for ($i = 0; $i < sizeof($arrLigaFile); $i++)
        {
            // Arrays lschen
            $arrHead      = NULL;
            $arrTeam      = NULL;
            $arrStatistik = NULL;
            $arrVerlauf   = NULL;
            $arrTabPlatz  = NULL;
            // Wurde berhaupt gespielt ?
            $gespielt = 0;
            // Aktuelles Tabellen-File
            $tabFile      = $arrIni["dataDir"] . basename($arrLigaFile[$i],".l98") . ".php";
            // Existiert das Ligafile als include im internen Liga-Verzeichnis?
            // Wenn nein -> erstellen
            if ($mode == 1 || !file_exists($tabFile))
            {
                include_once($arrIni["pfadInc"] . "lmo_tabelle_func.php");
                GetData($arrLigaFile[$i], &$arrHead, &$arrTeam, &$arrStatistik,
                        &$arrVerlauf, &$arrTabPlatz, &$gespielt);
                writeTabFile($tabFile, $arrVerlauf, $arrTabPlatz, $arrHead, $arrTeam,
                             $gespielt);
            }
            else
            {
                include_once($tabFile);
            }

            $arrGespielt[] = $gespielt;
            $aktTab = $arrTabPlatz[(int)$arrHead[conHEAD_ACTUAL]];
            $arrTab = explode(";", $aktTab);
            for($j = 0; $j < sizeof($arrTab); $j++)
            {
                if((int)$arrTab[$j] == $arrFavTeam[$i] - 1)
                {
                    break;
                }
            }
            // Mannschaftsname
            $arrTabelle[$k][0] = $arrMann[$i][0];
            // Aktueller Tabellenplatz
            $arrTabelle[$k][1] = $j + 1;
            // Favorit
            $arrTabelle[$k][2] = $arrTeam[$arrFavTeam[$i] - 1][0];
            // Link auf lmo-Tabelle
            $arrTabelle[$k][3] = $arrIni["pfadLMO"] . "lmo.php?file=" . $arrHead[conHEAD_FILE];
            // Vorheriger Tabellenplatz
            $aktTab = $arrTabPlatz[(int)$arrHead[conHEAD_ACTUAL] - 1];
            $arrTab = explode(";", $aktTab);
            for($j = 0; $j < sizeof($arrTab); $j++)
            {
                if((int)$arrTab[$j] == $arrFavTeam[$i] - 1)
                {
                    break;
                }
            }
            $arrTabelle[$k][4] = $j + 1;
            $k++;
        } // Ende for ... Einlesen der Tabellen

        // Index Tabellen-Trenner
        $tabTrenner = 0;
        // Lnge Tabelle-Array
        $sizofTabArray = sizeof($arrTabelle) - 1;

        echo "<table align=" . $arrPara["alignTable"] . ">";
            echo "<tr>";
                echo "<th colspan=" . $arrPara["tabBreite"] .
                     "    align="   . $arrPara["alignTitel"] . ">";
                    echo "Aktuelle Tabellenstnde ";
                    echo "<div style='font-size:9px;'>";
                        echo "(Stand: $DatumDerTabelle - $UhrDerTabelle Uhr)";
                    echo "</div>";
                echo "</th>";
            echo "</tr>";

            echo "<tr>";
                echo "<td class='Zeile2'>";
                    echo "Platz";
                echo "</td>";
                if ($arrPara["anzVerander"] > 0)
                {
                    echo "<td class='Zeile2'>";
                        echo "&nbsp;";
                    echo "</td>";
                }
                echo "<td class='Zeile2'>";
                    echo "Mannschaft";
                echo "</td>";
                echo "<td class='Zeile2'>";
                    echo "Platz";
                echo "</td>";
                if ($arrPara["anzVerander"] > 0)
                {
                    echo "<td class='Zeile2'>";
                        echo "&nbsp;";
                    echo "</td>";
                }
                echo "<td class='Zeile2'>";
                    echo "Mannschaft";
                echo "</td>";
            echo "</tr>";

            for ($i = 0; $i <= (int)$sizofTabArray/2; $i++)
            {
                echo "<tr>";
                    $backColor = $arrPara["cellBkColor"];
                    // 1. Spalte: Platz
                    if ($arrTabelle[$i][1] == 1 && $arrGespielt[$i] != 0)
                    {
                        $backColor = $arrPara["colorChamp"];
                    }
                    echo "<td align='center' style='background:$backColor;'>";
                        if ($arrGespielt[$i] != 0)
                        {
                            echo $arrTabelle[$i][1];
                        }
                        else
                        {
                            echo "-";
                        }
                    echo "</td>";
                    // Anzeige der Vernderung zum letzten Spieltag
                    if ($arrPara["anzVerander"] > 0)
                    {
                        if ($arrPara["anzVerander"] == 1)
                        {
                            $style  = "style='font-size:" . ($arrPara["fontSizeTitle"] + 2) . ";";
                            $style .= "font-weight:600;";
                        }
                        else if($arrPara["anzVerander"] == 2)
                        {
                            $style  = "style='";
                        }
                        $style .= "background:$backColor;";
                        echo "<td align='center'";
                            if ($arrTabelle[$i][1] == $arrTabelle[$i][4] || $arrGespielt[$i] == 0)
                            {
                                $anzeige = $style . "color:" . $arrPara["colorNeutral"] . ";'>";
                                echo $anzeige;

                                echo "&bull;";
                            }
                            else if ($arrTabelle[$i][1] < $arrTabelle[$i][4])
                            {
                                $anzeige = $style . "color:" . $arrPara["colorPlus"] . ";'>";
                                echo $anzeige;
                                if ($arrPara["anzVerander"] == 1)
                                {
                                    echo "&uarr;";
                                }
                                else if ($arrPara["anzVerander"] == 2)
                                {
                                        echo "+" . ($arrTabelle[$i][4] - $arrTabelle[$i][1]);
                                }
                            }
                            else if ($arrTabelle[$i][1] > $arrTabelle[$i][4])
                            {
                                $anzeige = $style . "color:" . $arrPara["colorNegativ"] . ";'>";
                                echo $anzeige;
                                if ($arrPara["anzVerander"] == 1)
                                {
                                    echo "&darr;";
                                }
                                else if ($arrPara["anzVerander"] == 2)
                                {
                                    echo "-" . ($arrTabelle[$i][1] - $arrTabelle[$i][4]);
                                }
                            }
                        echo "</td>";
                    }
                    // 2. Spalte: Mannschaft
                    echo "<td style='background: $backColor;'>";
                        if ($arrPara["anzLink"] == 1)
                        {
                            echo "<a href='" . $arrTabelle[$i][3] . "' style='background: $backColor;'>";
                        }
                        echo $arrTabelle[$i][0];
                        if ($arrPara["anzLink"] == 1)
                        {
                            echo "</a>";
                        }
                    echo "</td>";

                    // 3. Spalte: Platz
                    $backColor = $arrPara["cellBkColor"];
                    if ($sizofTabArray > $i + (int)$sizofTabArray/2)
                    {
                            if ($arrTabelle[$i + (int)$sizofTabArray/2 + 1][1] == 1 && $arrGespielt[$i + (int)$sizofTabArray/2 + 1] != 0)
                            {
                                $backColor = $arrPara["colorChamp"];
                            }
                            echo "<td align='center' style='background:$backColor;'>";
                                if ($arrGespielt[$i + (int)$sizofTabArray/2 + 1] != 0)
                                {
                                    echo $arrTabelle[$i + (int)$sizofTabArray/2 + 1][1];
                                }
                                else
                                {
                                    echo "-";
                                }
                            echo "</td>";
                            // Anzeige der Vernderung zum letzten Spieltag
                            if ($arrPara["anzVerander"] > 0)
                            {
                                if ($arrPara["anzVerander"] == 1)
                                {
                                    $style  = "style='font-size:" . ($arrPara["fontSizeTitle"] + 2) . ";";
                                    $style .= "font-weight:600;";
                                }
                                else if($arrPara["anzVerander"] == 2)
                                {
                                    $style  = "style='";
                                }
                                $style .= "background:$backColor;";
                                echo "<td align='center'";
                                    if ($arrTabelle[$i + (int)$sizofTabArray/2 + 1][1] ==
                                        $arrTabelle[$i + (int)$sizofTabArray/2 + 1][4] || $arrGespielt[$i] == 0)
                                    {
                                        $anzeige = $style . "color:" . $arrPara["colorNeutral"] . ";'>";
                                        echo $anzeige;

                                        echo "&bull;";
                                    }
                                    else if ($arrTabelle[$i + (int)$sizofTabArray/2 + 1][1] <
                                             $arrTabelle[$i + (int)$sizofTabArray/2 + 1][4])
                                    {
                                        $anzeige = $style . "color:" . $arrPara["colorPlus"] . ";'>";
                                        echo $anzeige;
                                        if ($arrPara["anzVerander"] == 1)
                                        {
                                            echo "&uarr;";
                                        }
                                        else if ($arrPara["anzVerander"] == 2)
                                        {
                                                echo "+" . ($arrTabelle[$i + (int)$sizofTabArray/2 + 1][4] -
                                                            $arrTabelle[$i + (int)$sizofTabArray/2 + 1][1]);
                                        }
                                    }
                                    else if ($arrTabelle[$i + (int)$sizofTabArray/2 + 1][1] >
                                             $arrTabelle[$i + (int)$sizofTabArray/2 + 1][4])
                                    {
                                        $anzeige = $style . "color:" . $arrPara["colorNegativ"] . ";'>";
                                        echo $anzeige;
                                        if ($arrPara["anzVerander"] == 1)
                                        {
                                            echo "&darr;";
                                        }
                                        else if ($arrPara["anzVerander"] == 2)
                                        {
                                            echo "-" . ($arrTabelle[$i + (int)$sizofTabArray/2 + 1][1] -
                                                        $arrTabelle[$i + (int)$sizofTabArray/2 + 1][4]);
                                        }
                                    }
                                echo "</td>";
                            }
                            echo "<td style='background: $backColor;'>";
                                if ($arrPara["anzLink"] == 1)
                                {
                                    echo "<a href='" . $arrTabelle[$i + (int)$sizofTabArray/2 + 1][3] . "' style='background: $backColor;'>";
                                }
                                echo $arrTabelle[$i + (int)$sizofTabArray/2 + 1][0];
                                if ($arrPara["anzLink"] == 1)
                                {
                                    echo "</a>";
                                }
                            echo "</td>";
                        }
                        else
                        {
                            echo "<td>";
                                echo "&nbsp;";
                            echo "</td>";
                            echo "<td>";
                                echo "&nbsp;";
                            echo "</td>";
                            if ($arrPara["anzVerander"] > 0)
                            {
                                echo "<td>";
                                    echo "&nbsp;";
                                echo "</td>";
                            }
                        }
                echo "</tr>";
            }
            // Copyrights
            require($pedCopyRight);
        echo "</table>";
    }

   function getmicrotime()
   {
     list($usec, $sec) = explode(" ",microtime());
     return ((float)$usec + (float)$sec);
   }
?>