<?php
   // ==========================================================================
   // Einstelllbereich
   // --------------------------------------------------------------------------
   $arrPara["anzeigeJahre"]  = 0;            // Anzeige der Lebensjahre:
                                             // 0 = nein, 1 = ja
   $arrPara["fontSize"]      = 9;            // Schriftgre der Anzeige (in px)
   $arrPara["fontFamily"]    = "Verdana";    // Schriftart der Anzeige
   $arrPara["fontColor"]     = "#004000";    // Schriftfarbe der Schrift
   $arrPara["backColor"]     = "#FFFF9D";    // Hintergrund der Anzeige
   $arrPara["fontColorSpez"] = "#FF0000";    // Schriftfarbe der Anzeige, bei
                                             // Geburtstag am aktuellen Tag
   $arrPara["anzNurGebTag"]  = 0;            // Nur der aktuelle Geburtstag wird
                                             // angezeigt
                                             // 0 = nein, 1 = ja
   $arrPara["anzVorbei"]     = 0;            // Anzeige, ob Geburtstag vorbei ist
                                             // 0 = nein, 1 = ja
   $arrPara["anzVorbeiZchn"] = "&radic;";    // Zeichen fr $arrPara["anzVorbei"]
   $arrPara["anzVorbeiSpez"] = 0;            // Wenn Geburtstag vorbei -> durchstreichen
                                             // 0 = nein, 1 = ja
   // --------------------------------------------------------------------------
   // Ende Einstelllbereich
   // ==========================================================================

   $arrPara["mannFile"]      = "mannschaft.txt";
                                             // Filename der Mannschaften
   // Aktueller Pfad basteln
   $aktPfad = str_replace("\\", "/", dirname(__File__));
   // ini-File einlesen
   include($aktPfad . "/lmo_ped_ini.php");

   // Mannschafts-Directory einlesen
   $hdle = dir($arrIni["mannDir"]);
   while ($subDir = $hdle->read())
   {
      if ($subDir != "." && $subDir != "..")
      {
         $arrMannschaft[] = $hdle->path . $subDir . "/";
      }
   }
   // Mannschaft-File einlesen
   $arrGebTag = array();
   for ($i = 0; $i < sizeof($arrMannschaft); $i++)
   {
      $arrKeys = NULL;
      $flRet = GetData($arrMannschaft[$i] . $arrPara["mannFile"], &$arrKeys);
      if ($flRet != false)
      {
         $arrGebTag = array_merge($arrGebTag, $arrKeys);
      }
   }
   // Nach Tag + Monat sortieren
   usort($arrGebTag, "sortiere");
   // Ausgabe
   echo "<table align='center' border='0'>";
      for ($i = 0; $i < sizeof($arrGebTag); $i++)
      {
         $fontColor = $arrPara["fontColor"];
         $backColor = $arrPara["backColor"];

         if (($arrPara["anzNurGebTag"] == 1 && (int)Tag($arrGebTag[$i][3]) == (int)date("d") && Monat($arrGebTag[$i][3]) == (int)date("m")) ||
             ($arrPara["anzNurGebTag"] == 0 && Monat($arrGebTag[$i][3]) == (int)date("m")))
         {
            // hat jemand heute Geburtstag ?
            if ((int)Tag($arrGebTag[$i][3]) == (int)date("d"))
            {
               $fontColor = $arrPara["fontColorSpez"];
            }
            echo "<tr style='font-family:" . $arrPara["fontFamily"] . ";" .
                            "font-size:"   . $arrPara["fontSize"]   . "px;" .
                            "color:$fontColor;" .
                            "background:$backColor;'>";
               echo "<td>";
                  if ($arrPara["anzVorbeiSpez"] == 1) { echo "<strike>"; }
                  echo Tag($arrGebTag[$i][3]) . "." . Monat($arrGebTag[$i][3]) . ".";
                  if ($arrPara["anzVorbeiSpez"] == 1) { echo "</strike>"; }
               echo "</td>";
               echo "<td>";
                  if ($arrPara["anzVorbeiSpez"] == 1) { echo "<strike>"; }
                  echo $arrGebTag[$i][2] . " " . $arrGebTag[$i][1];
                     // Anzeige der Lebensjahre ?
                     if ($arrPara["anzeigeJahre"] == 1)
                     {
                        $Jahre = (int)date("Y") - (int)Jahr($arrGebTag[$i][3]);
                        echo " (" . $Jahre . ")";
                     }
                  if ($arrPara["anzVorbeiSpez"] == 1) { echo "</strike>"; }
               echo "</td>";
               echo "<td>";
               if ((int)Tag($arrGebTag[$i][3]) < (int)date("d") && $arrPara["anzVorbei"] == 1)
               {
                  echo $arrPara["anzVorbeiZchn"];
               }
               else
               {
                  echo "&nbsp;";
               }
               echo "</td>";
            echo "</tr>";
         }
      }
   echo "</table>";


   // Funktionen
   function GetData($fileName, &$arrKeys)
   {
      $flRet = false;
      if (file_exists($fileName))
      {
         $arrFile = file($fileName);
         $sizeOfArrFile = sizeof($arrFile);
     	for ($i = 0; $i < $sizeOfArrFile; $i++)
         {
            // Kommentar-Zeilen und Sektionen berspringen
            if (!isComment($arrFile[$i]) && !isSection($arrFile[$i]))
            {
               // Ist Komma drin
               if (strpos($arrFile[$i], ",") != 0)
               {
                  $arrKeys[] = explode(",", $arrFile[$i]);
                  $flRet = true;
               }
            }
         }
      }
      return $flRet;
   }


   function isComment($value)
   {
      $flRet = false;
      if (substr($value, 0, 2) == "//" || chop($value) == "")
      {
         $flRet = true;
      }
      return $flRet;
   }


   function isSection($value)
   {
      $flRet = false;
      if (substr($value, 0, 1) == "[")
      {
         $flRet =  true;
      }
      return $flRet;
   }


   function sortiere($a, $b)
   {
      $a[3]   = trim($a[3]);
      $b[3]   = trim($b[3]);
      $Tag1   = Tag($a[3]);
      $Monat1 = Monat($a[3]);
      $Jahr1  = Jahr($a[3]);
      $Tag2   = Tag($b[3]);
      $Monat2 = Monat($b[3]);
      $Jahr2  = Jahr($b[3]);
      $a[3]   = $Monat1 . $Tag1;
      $b[3]   = $Monat2 . $Tag2;
      return ($a[3] < $b[3] ? -1 : 1);
   }


   function Tag($Tag)
   {
      return substr($Tag, 0, strpos($Tag, "."));
   }


   function Monat($Monat)
   {
      return substr($Monat, strpos($Monat, ".") + 1, strrpos($Monat, ".") - strpos($Monat, ".") - 1);
   }


   function Jahr($Jahr)
   {
      return substr($Jahr, strrpos($Jahr, ".") + 1);
   }
?>