<?PHP
    // =========================================================================
    // lmo_statistik.php
    // =========================================================================
    // Zeigt die aktuelleTorschtzenliste an
    // =========================================================================
    //
    // -------------------
    // bergabe-Parameter:
    // -------------------
    // $art     : 1 = einzelnes Mannschaft
    //            2 = alle Mannschaften
    // $incFile : Datei mit den anzuzeigenden Ligen oder ein Array mit den Ligen
    //            (Standard: lmo_ped_dat.inc)
    // $paraFile: Parameter-Datei oder ein Array mit den Parametern
    //            (Standard: lmo_std_para_akt_tab.php)
    // $cssFile : CSS-Datei
    //            (Standard: lmo_ped_css.php)
    // Alle bergabe-Parameter sind optional, d.h. es werden die Standard-
    // Dateien verwendet.
    // Werden eigene Dateien verwendet, so men diese sich im aktuellen Ver-
    // zeichnis der lmo_ped Erweiterungen befinden.
    // =========================================================================
    // Copyright etc. spare ich mir.
    // Bitte eMehl an mich, wer's einsetzt.
    // Fr Verbesserungsvorschlge immer offen, Script ist noch nicht perfekt.
    // =========================================================================
    // Aufruf:
    //
    //   include("../lmo_ped/lmo_statistik.php");
    //   ZeigeStatistik();

    // =========================================================================
    // Autor:    Peter Scherb
    // eMail:    lmo_ped@PeterScherb.de
    // Home:     www.peterscherb
    // Download: www.peterscherb/svj/download
    // =========================================================================
    // Letzte nderung: 24.10.2003
    // =========================================================================

    function ZeigeStatistik($pfad,
                            $incFile  = "lmo_ped_dat.inc",
                            $incMann  = "lmo_ped_mann.inc",
                            $paraFile = "lmo_std_para_stat.php",
                            $cssFile  = "lmo_ped_css.php")
    {
        // ---------------------------------------------------------------------
        // ---------------------------------------------------------------------
        // Aktueller Pfad basteln
        $aktPfad = str_replace("\\", "/", dirname(__File__));
        // ini-File einlesen
        include($aktPfad . "/lmo_ped_ini.php");
        // ---------------------------------------------------------------------
        // Parameter einlesen
        include($arrIni["pfadInc"] . "lmo_set_parameter.php");
        // -------------------------------------------------------------------------

        // Torschtzen-Datei einlesen
        $file      = $arrIni["mannDir"] . $pfad . "/statistik.txt";
        $arrFile   = file($file);
        $aktDateTS = date("d.m.Y", filemtime($file));
        
        // Datenfile einlesen
        $tabFile = $arrIni["dataDir"] . "C-KS3.php";
        $aktDateDS = date("d.m.Y", filemtime($tabFile));
        include($tabFile);

        // Lnge Torschtzen-Array
        $sizofTabArray = sizeof($arrFile) - 1;
        
        $arrTitel = explode(",", $arrFile[0]);
        for ($i = 1; $i < sizeof($arrFile); $i++)
        {
            $arrTor[] = explode(",", $arrFile[$i]);
        }

        // Sortieren
        usort($arrTor, "sortTor");

        echo "<table align=" . $arrPara["alignTable"] . ">";
            // Liganame
            if($arrPara["anzLigaName"] == 1)
            {
                echo "<tr>";
                    echo "<td colspan=" . ($arrPara["tabBreite"] + 3 ).
                         " class='LigaName' align=" . $arrPara["alignLiga"] . ">";
                        echo $arrTitel[0];
                    echo "</td>";
                echo "</tr>";
            }
            echo "<tr>";
                echo "<th colspan=" . $arrPara["tabBreite"] .
                     " align=" . $arrPara["alignTitel"] . ">";
                    echo "Aktuelle Torschtzenliste";
                    echo "<div style='font-size:9px;'>";
                        echo "(Stand: $aktDateTS)";
                    echo "</div>";
                echo "</th>";
                //------------------------------------
                // Tabellenplatzverlauf
                //------------------------------------
                echo "<td class='nix'>";
                    echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
                echo "</td>";
                echo "<th colspan='2'>";
                    echo "Tabellenstandverlauf";
                    echo "<div style='font-size:9px;'>";
                        echo "(Stand: $aktDateDS)";
                    echo "</div>";
                echo "</th>";
                //------------------------------------
            echo "</tr>";

            echo "<tr>";
                echo "<td class='Zeile2'>";
                    echo "Name";
                echo "</td>";
                echo "<td class='Zeile2'>";
                    echo "Vorname";
                echo "</td>";
                echo "<td class='Zeile2'>";
                    echo "Tore";
                echo "</td>";
                echo "<td class='Zeile2'>";
                    echo "Spiele";
                echo "</td>";
                echo "<td class='Zeile2'>";
                    echo "Tore / Spiel";
                echo "</td>";
                //------------------------------------
                // Tabellenplatzverlauf
                //------------------------------------
                echo "<td class='nix'>";
                    echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
                echo "</td>";
                echo "<td class='Zeile2' align='center'>";
                    echo "Spieltag";
                echo "</td>";
                echo "<td class='Zeile2' align='center'>";
                    echo "Platz";
                echo "</td>";
                //------------------------------------
            echo "</tr>";

            $sizeArrTor = sizeof($arrTor);
            $ende = max((int)$arrHead[conHEAD_ACTUAL], $sizeArrTor);
            
            for($i = 0; $i < $ende; $i++)
            {
                echo "<tr>";
                    if ($i < $sizeArrTor)
                    {
                        // Name
                        echo "<td>";
                            echo $arrTor[$i][0];
                        echo "</td>";
                        // Vorname
                        echo "<td>";
                            echo $arrTor[$i][1];
                        echo "</td>";
                        // Tore
                        echo "<td align='center'>";
                            echo $arrTor[$i][2];
                        echo "</td>";
                        // Spiele
                        echo "<td align='center'>";
                            echo $arrTor[$i][3];
                        echo "</td>";
                        // Tor / Spiel
                        echo "<td align='center'>";
                            if ( $arrTor[$i][2] <> 0)
                            {
                                echo round($arrTor[$i][2] / $arrTor[$i][3], 2);
                            }
                            else
                            {
                                echo "0";
                            }
                        echo "</td>";
                    }
                    else
                    {
                        echo "<td colspan='5' class='nix'></td>";
                    }
                    //------------------------------------
                    // Tabellenplatzverlauf
                    //------------------------------------
                    echo "<td class='nix'>";
                        echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
                    echo "</td>";
                    if ($i < (int)$arrHead[conHEAD_ACTUAL])
                    {
                        echo "<td align='center'>";
                            echo $i + 1;
                        echo "</td>";
                        echo "<td align='center'>";
                            $dummy = explode(";", $arrTabPlatz[$i + 1]);
                            echo (array_search((int)$arrHead[conHEAD_FAV_TEAM ] - 1, $dummy) + 1);
                        echo "</td>";
                    }
                    //------------------------------------
                    echo "</tr>";
            }

                // Copyrights
                require($pedCopyRight);
        echo "</table>";
        echo "<br>";

//        $grafikFile = $arrIni["grafDir"] . "fieberkurve.php";
//        include($grafikFile);
        // Fieberkurve
//        echo "<table align='center' border=1>";
//            echo "<tr>";
//                echo "<td>";
//                    echo "<img src='" . $arrIni["grafDir"] . "fieberkurve.php?arrTabMann=$arrTabMann&arrHead=$arrHead'>";
//                    echo "<img src='$grafikFile'>";
//                echo "</td>";
//            echo "</tr>";
    }
    

    // function
    function sortTor($a, $b)
    {
        if ($a[2] <> $b[2])
        {
            return ($a[2] > $b[2]) ? -1 : 1;
        }
        else
        {
            return ($a[3] > $b[3]) ? -1 : 1;
        }
    }
?>
